<?php
/**
 * file for displaying the featured posts in owl carousel slider
 *
 * @package twinkle
 */

$args = array(
	'post_type' => 'post',
	'ignore_sticky_posts' => true, 
	'meta_query' => array(                  
       array(
         'key' => 'twinkle_feature_post',                 
         'value' => 1,
       ),
    ),   
);
$query = new WP_Query( $args );

// The Loop
if ( $query->have_posts() ) {
	echo '<div class="owl-carousel home-carousel">';
	while ( $query->have_posts() ) {
		$query->the_post();
		echo '<div>';
			
			if ( has_post_thumbnail() ) : ?>
    			<div class="media-wrapper">
    				<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
	        			<?php the_post_thumbnail('twinkle-featured-post'); ?>
	    			</a>
	    		</div>
			<?php endif; ?>
			<div class="featured-description">
				<h3 class="featured-post-title">
					<?php echo get_the_title(); ?>
				</h3>
				<?php $post_categories = get_the_category( $post->ID );
					
					     
				foreach($post_categories as $category){

				    $category_name = $category->name;
				    $category_id = $category->cat_ID;
				   
				    $category_link = get_category_link( $category_id ); ?>
					
					<div class="featured-post-categories">
						<a href="<?php echo esc_url( $category_link ); ?>" title="<?php esc_attr($category_name); ?>"><?php esc_html($category_name); ?></a>
					</div>
				<?php }?>
				<a href="<?php echo esc_url(get_the_permalink()); ?>" class="featured-post-link"><?php esc_html_e( 'Read article', 'twinkle' ) ?></a>

			</div>
		<?php echo '</div>';
	}
	echo '</div>';
	/* Restore original Post Data */
	wp_reset_postdata();
} else {
	// no posts found
}
?>