<?php

function twinkle_start_load_admin_scripts() {

	// Load styles only on our page
	global $pagenow;
	if( 'themes.php' != $pagenow )
		return;
	if(isset($_GET["page"]) && ($_GET["page"] == 'twinkle-getting-started')){
		wp_register_style( 'twinkle-getting-started', get_template_directory_uri() . '/inc/dashboard/twinkle_dashboard_info.css', false, '1.0.0' );
		wp_enqueue_style( 'twinkle-getting-started' );
	}
	
}

add_action( 'admin_enqueue_scripts', 'twinkle_start_load_admin_scripts' );


/* Hook a menu under Appearance */
function twinkle_getting_started_menu() {
	add_theme_page(
		esc_attr__( 'Twinkle: Get Started', 'twinkle' ),
		esc_attr__( 'Twinkle: Get Started', 'twinkle' ),
		'manage_options',
		'twinkle-getting-started',
		'twinkle_getting_started'
	);
}

add_action( 'admin_menu', 'twinkle_getting_started_menu' );



/**
 * Theme Info Page
 */
function twinkle_getting_started() {

	// Theme info
	$theme = wp_get_theme( 'twinkle' ); ?>

	<div class="wrap getting-started">
		<div class="getting-started__header">
			<div class="row">
				<div class="col-md-5 intro">
					<h2><?php esc_html_e( 'Welcome to Twinkle ', 'twinkle' ); ?></h2>
					<p><?php esc_html_e('Version: ', 'twinkle'); ?> <?php echo esc_html($theme['Version']);?></p>
					<span class="intro__version">
						<?php esc_html_e('Congratulations! You are about to use the most easy to use and felxible WordPress blog theme.', 'twinkle'); ?>
					</span>

					<div class="powered-by">
						<p><strong><?php esc_html_e( 'Theme created by WP Compass', 'twinkle' ); ?></strong></p>
						<p><?php
								
								printf( esc_html(__( 'The most advanced and totally free WordPress ressource.', 'twinkle' )));
							?>
							<img class="logo" src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/wpcompass-logo-dark.png'); ?>"/>
						</p>
					</div>
				</div>

				<div class="col-md-7">
					<div class="install-twinkle-plugins">
						<img src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/twinkle-devices.jpg'); ?>" alt="" /></a>
					</div>
				</div>

				<div class="col-md-12 text-block">
					<div class="row">
						<div class="col-md-7">
							<img src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/install-twinkle-plugin.jpg'); ?>" alt="">
						</div>
						<div class="col-md-5 install-plugin-right">
							<h2 class="dashboard-install-title"><?php esc_html_e('1.) Getting started with Twinkle theme','twinkle'); ?></h2>
							<p><?php esc_html_e('Head over to the','twinkle');?> <a href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizer', 'twinkle');?></a> <?php esc_html_e('and install & activate the necessary "Kirki" plugin to take full advantage of all the theme options.','twinkle');?></p>
							<div class="dashboard-install-benefit">
								<ul>
									<li><?php esc_html_e('Takes only 30 seconds', 'twinkle'); ?></li>
									<li><?php esc_html_e('Absolutely free', 'twinkle'); ?></li>
									
								</ul>
							</div>
						</div>
					</div>
				</div>


				<div class="col-md-12 text-block no-bottom-margin">
					<div class="row">
						<div class="col-md-7 dashboard-optimize-left">
							<img src="<?php echo esc_url(get_template_directory_uri() . '/inc/dashboard/media/optimization.jpg'); ?>" alt="<?php esc_html_e( 'Twinkle Customer Support', 'twinkle' ); ?>">
						</div>
						<div class="col-md-5 dashboard-optimize-right">
							<h2 class="dashboard-optimize-title"><?php esc_html_e('2.) Optimize and secure your site!','twinkle'); ?></h2>
							<span class="dashboard-optimize-button"><?php esc_html_e('Important','twinkle'); ?></span>
							<p><?php esc_html_e('On our website','twinkle'); ?> <a href="<?php echo esc_url('https://wp-compass.com'); ?>"><?php esc_html_e('wp-compass.com','twinkle'); ?></a> <?php esc_html_e(' we offer many tutorials and guides how to optimize & secure your new WordPress site.','twinkle'); ?></p>
							<div class="dashboard-optimize-benefit">
								<ul>
									<li><?php esc_html_e('Search Engine Optimization','twinkle'); ?></li>
									<li><?php esc_html_e('Essential Security actions','twinkle'); ?></li>
									<li><?php esc_html_e('Backup Solutions','twinkle'); ?></li>
									<li><?php esc_html_e('Loading Time Optimization','twinkle'); ?></li>
									<li><?php esc_html_e('Marketing / Social','twinkle'); ?></li>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>



		<div class="dashboard__blocks">
			<div class="row">

				<div class="col-md-4">
					<h3><?php esc_html_e('Get Support','twinkle'); ?></h3>
					<ol>
						<li><?php esc_html_e('Twinkle','twinkle'); ?> <a href="<?php echo esc_url('http://twinkle.wp-compass.com/documentation'); ?>"><?php esc_html_e('Documentation','twinkle'); ?></a></li>
						<li><?php esc_html_e('WordPress.org','twinkle'); ?> <a href="<?php echo esc_url('https://wordpress.org/support/theme/twinkle'); ?>"><?php esc_html_e('Support Forum','twinkle'); ?></a></li>
					</ol>
				</div>

				<div class="col-md-4">
					<h3><?php esc_html_e('Getting Started','twinkle'); ?></h3>
					<ol>
						<li><?php esc_html_e('Start ','twinkle'); ?> <a href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing','twinkle'); ?></a> <?php esc_html_e(' your website.','twinkle'); ?></li>
					</ol>
				</div>

				<div class="col-md-4">
					<h3><?php esc_html_e('Help Docs','twinkle'); ?></h3>
					<ol>
						<li><?php esc_html_e('Twinkle ','twinkle'); ?><a href="<?php echo esc_url('http://twinkle.wp-compass.com/documentation'); ?>"><?php esc_html_e('Documentation','twinkle'); ?></a></li>
						<li><a href="<?php echo esc_url('https://wp-compass.com/guide'); ?>"><?php esc_html_e('Detailed Guide: How to build a WordPress site','twinkle'); ?></a></li>
						<li><a href="<?php echo esc_url('https://wp-compass.com/category/blog'); ?>"><?php esc_html_e('WP Compass Blog','twinkle'); ?></a></li>
					</ol>
				</div>
			</div>
		</div>

	</div><!-- .getting-started -->

	<?php
}