<?php
/**
 * @package twinkle
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('large-post'); ?>>
    <?php 
	    if (is_sticky()){
	    	echo '<span class="sticky-notice">'.esc_html( __('Featured', 'twinkle')).'</span>';
	    } 
    ?>
	<header class="entry-header">

		<?php get_template_part( 'section-post-categories' ); ?>

		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		<div class="post-date">
			<?php the_time( get_option('date_format') ); ?>
		</div>
		  
	</header><!-- .entry-header -->

	<a href="<?php the_permalink(); ?>" class="post-image-link">
   		<?php echo get_the_post_thumbnail( $post->ID, 'twinkle-post-overview-large' ); ?> 
   	</a>
    
	<div class="entry-content">
		
		<?php get_template_part('loop-templates/custom-excerpt'); ?>
            
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'twinkle' ),
				'after'  => '</div>',
			) );
		?>
        
	</div><!-- .entry-content -->

	<div class="row clearboth">
		<div class="col-sm-6">
			<a href="<?php the_permalink(); ?>" class="post-link"><span><?php esc_html_e( 'Read article', 'twinkle' ) ?></span></a>
		</div>
		<div class="col-sm-6">
			
		</div>
	</div>

	<footer class="entry-footer">
	
	</footer><!-- .entry-footer -->
    
</article><!-- #post-## -->