<?php
/**
* Similar Posts
*/

global $post;

$post_terms = get_the_terms( $post->ID, 'category');
if ($post_terms){
	$terms_arr = '';
	foreach ( $post_terms as $term ) {
 	 $terms_arr .= $term->term_id . ',';
	}
}

$post_args = array(
      'post_type' => 'post',
      'posts_per_page' => 3,
      'tax_query' => array(
      array(
          'taxonomy' => 'category',
          'field'    => 'term_id',
          'terms'    => $terms_arr,
      ),
    ),
    'orderby' => 'rand',
    'post__not_in' => array($post->ID)
);

$the_query = new WP_Query( $post_args );


echo '<div class="similar-posts-wrapper boxed">';
	echo '<h2 class="similar-posts-title">' . esc_html( __('You might also like', 'twinkle')) . '</h2>';
	if ( $the_query->have_posts() ) :
		echo '<div class="row">';
	      while ( $the_query->have_posts() ) : $the_query->the_post();
	      echo '<div class="col-md-4">';
	      	echo '<div class="similar-post-wrapper">';
	      		echo '<a href="' . esc_url(get_the_permalink()) . '">';
			        $terms = get_the_terms( $post->ID, 'category');

			        $post_cats = array();
			        foreach ( $terms as $term ) {
			          $post_cats[] = $term->name;
			        }
			        $post_id = $post->ID;
			        $image_id = get_post_thumbnail_id($post_id);
			        $image = wp_get_attachment_image_src($image_id, 'twinkle-small_equal');
			        $image_alt_text = get_post_meta($image_id , '_wp_attachment_image_alt', true);
			        $title = get_the_title();
			        echo '<figure class="media-wrapper"><img class="similar-post" src="' . esc_url($image[0]) . '" alt="' . esc_attr($image_alt_text) . '"></figure>';
			        echo '<h4 class="similar-posts-title">' . esc_html($title) . '<h4>';
			 		echo '</div>';
			 	echo '</a>';
		 	echo '</div>';
	      endwhile;

	 
	echo '</div>';
	endif;
echo '</div>';

wp_reset_postdata();